Error during installation of Qiime2 on ubuntu

Hello and thank you once again, I downloaded the conda using
curl -O https://repo.anaconda.com/archive/Anaconda3-2022.10-Linux-x86_64.sh on ubuntu
but after downloading qiime with
wget https://data.qiime2.org/distro/core/qiime2-2022.8-py38-linux-conda.yml and installing with, conda env create -n qiime2-2022.8 --file qiime2-2022.8-py38-linux-conda.yml
I, encountered the following error
Preparing transaction: done
Verifying transaction: done
Executing transaction: done
ERROR conda.core.link:_execute(733): An error occurred while installing package 'bioconda::bioconductor-genomeinfodbdata-1.2.7-r41hdfd78af_2'.
Rolling back transaction: done
class: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.7-r41hdfd78af_2
location of failed script: /home/sauban/anaconda3/envs/qiime2-2022.8/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/sauban/anaconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: FAILED
/home/sauban/anaconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: FAILED
ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 74c82f26111062a9ceb3c5331088cd56:
https://bioconductor.org/packages/3.14/data/annotation/src/contrib/GenomeInfoDbData_1.2.7.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.7.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.7_src_all.tar.gz

stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 416 100 416 0 0 217 0 0:00:01 0:00:01 --:--:-- 217
15 10.6M 15 1745k 0 0 5947 0 0:31:22 0:05:00 0:26:22 5772
curl: (18) transfer closed with 9405834 bytes remaining to read
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 56 0 0:00:02 0:00:02 --:--:-- 56
md5sum: WARNING: 1 computed checksum did NOT match
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 80 0 0:00:01 0:00:01 --:--:-- 80
md5sum: WARNING: 1 computed checksum did NOT match

return code: 1

kwargs:
{}

Traceback (most recent call last):
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1129, in call
return func(*args, **kwargs)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda_env/cli/main.py", line 80, in do_call
exit_code = getattr(module, func_name)(args, parser)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/notices/core.py", line 72, in wrapper
return_value = func(*args, **kwargs)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda_env/cli/main_create.py", line 156, in execute
result[installer_type] = installer.install(prefix, pkg_specs, args, env)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda_env/installers/conda.py", line 59, in install
unlink_link_transaction.execute()
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/core/link.py", line 284, in execute
self._execute(tuple(concat(interleave(self.prefix_action_groups.values()))))
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/core/link.py", line 747, in _execute
raise CondaMultiError(tuple(concatv(
conda.CondaMultiErrorclass: LinkError
message:
post-link script failed for package bioconda::bioconductor-genomeinfodbdata-1.2.7-r41hdfd78af_2
location of failed script: /home/sauban/anaconda3/envs/qiime2-2022.8/bin/.bioconductor-genomeinfodbdata-post-link.sh
==> script messages <==

==> script output <==
stdout: /home/sauban/anaconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: FAILED
/home/sauban/anaconda3/envs/qiime2-2022.8/share/bioconductor-genomeinfodbdata-1.2.7-2/GenomeInfoDbData_1.2.7.tar.gz: FAILED
ERROR: post-link.sh was unable to download any of the following URLs with the md5sum 74c82f26111062a9ceb3c5331088cd56:
https://bioconductor.org/packages/3.14/data/annotation/src/contrib/GenomeInfoDbData_1.2.7.tar.gz
https://bioarchive.galaxyproject.org/GenomeInfoDbData_1.2.7.tar.gz
https://depot.galaxyproject.org/software/bioconductor-genomeinfodbdata/bioconductor-genomeinfodbdata_1.2.7_src_all.tar.gz

stderr: QIIME is caching your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 416 100 416 0 0 217 0 0:00:01 0:00:01 --:--:-- 217
15 10.6M 15 1745k 0 0 5947 0 0:31:22 0:05:00 0:26:22 5772
curl: (18) transfer closed with 9405834 bytes remaining to read
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 56 0 0:00:02 0:00:02 --:--:-- 56
md5sum: WARNING: 1 computed checksum did NOT match
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 153 100 153 0 0 80 0 0:00:01 0:00:01 --:--:-- 80
md5sum: WARNING: 1 computed checksum did NOT match

return code: 1

kwargs:
{}

: <exception str() failed>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/sauban/anaconda3/bin/conda-env", line 7, in
sys.exit(main())
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda_env/cli/main.py", line 91, in main
return conda_exception_handler(do_call, args, parser)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1429, in conda_exception_handler
return_value = exception_handler(func, *args, **kwargs)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1132, in call
return self.handle_exception(exc_val, exc_tb)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1161, in handle_exception
return self.handle_application_exception(exc_val, exc_tb)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1175, in handle_application_exception
self._print_conda_exception(exc_val, exc_tb)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1179, in _print_conda_exception
print_conda_exception(exc_val, exc_tb)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/exceptions.py", line 1106, in print_conda_exception
stderrlog.error("\n%r\n", exc_val)
File "/home/sauban/anaconda3/lib/python3.9/logging/init.py", line 1475, in error
self._log(ERROR, msg, args, **kwargs)
File "/home/sauban/anaconda3/lib/python3.9/logging/init.py", line 1589, in _log
self.handle(record)
File "/home/sauban/anaconda3/lib/python3.9/logging/init.py", line 1598, in handle
if (not self.disabled) and self.filter(record):
File "/home/sauban/anaconda3/lib/python3.9/logging/init.py", line 806, in filter
result = f.filter(record)
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/gateways/logging.py", line 50, in filter
record.msg = record.msg % new_args
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/init.py", line 107, in repr
errs.append(e.repr())
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/init.py", line 64, in repr
return '%s: %s' % (self.class.name, str(self))
File "/home/sauban/anaconda3/lib/python3.9/site-packages/conda/init.py", line 68, in str
return str(self.message % self._kwargs)
ValueError: unsupported format character 'T' (0x54) at index 1079
What is causing this error and how can I correct it.

Still waiting for your kind reply

Please ignore this message, I installed it

1 Like

I solved this problem with deleting genomeinfodbdata-1.2.7-r41hdfd78af_2 file in /home/miniconda3/pkgs folder and starting env create -n qiime2-2022.8 --file qiime2-2022.8-py38-linux-conda.yml command after.

2 Likes